common:
  home: "Home"
  dashboard: "Dashboard"
  character: "Character"
  vehicles: "Vehicles"
  properties: "Properties"
  my_faction: "My Faction"
  all_factions: "All Factions"
  global_bans: "Global Bans"
  settings: "Settings"
  store: "Store"
  logout: "Logout"
  authorize: "Authorize"
  login: "Login"
  register: "Register"
  discord: "Discord"
  online: "Online"
  offline: "Offline"
  last_online: "Last online"
  level: "Level"
  loading: "Loading..."
  error: "Error"
  success: "Success"
  cancel: "Cancel"
  save: "Save"
  delete: "Delete"
  edit: "Edit"
  confirm: "Confirm"
  close: "Close"
  back: "Back"
  forum: "Forum"

landing:
  title: "San Andreas"
  subtitle: "Roleplay Experience"
  description: "Join the most immersive SA:MP roleplay server. Create your character, build your empire, and experience life in Los Santos like never before."
  server_online: "Server Online"
  players: "Players"
  copy_ip: "Copy Server IP"
  login_ucp: "Login to UCP"
  server_ip: "Server IP"
  online_players: "Online Players"
  registered: "Registered"
  uptime: "Uptime"
  
login_modal:
  title: "Login to UCP"
  subtitle: "Access your User Control Panel"
  username: "Username"
  password: "Password"
  username_placeholder: "Enter your username"
  password_placeholder: "Enter your password"
  login_button: "Login"
  logging_in: "Logging in..."
  no_account: "Don't have an account?"
  create_ingame: "Create in-game"
  create_ingame_message: "Create your account in-game! Connect to play.rpsa.lv:7777"
  forgot_password: "Forgot password?"

forgot_password:
  title: "Forgot Password"
  reset_title: "Reset Password"
  description: "Enter your username and email address to receive a password reset link."
  reset_description: "Enter your new password below to complete the reset process."
  username: "Username"
  email: "Email Address"
  username_placeholder: "Enter your username"
  email_placeholder: "Enter your email address"
  new_password: "New Password"
  confirm_password: "Confirm Password"
  new_password_placeholder: "Enter new password"
  confirm_password_placeholder: "Confirm new password"
  send_reset: "Send Reset Link"
  reset_password: "Reset Password"
  sending: "Sending..."
  resetting: "Resetting..."
  fill_all_fields: "Please fill in all fields"
  password_too_short: "Password must be at least 6 characters"
  passwords_dont_match: "Passwords don't match"
  request_failed: "Failed to send reset request"
  reset_failed: "Failed to reset password"
  remember_password: "Remember your password?"
  need_new_link: "Need a new reset link?"
  request_new: "Request new link"
  back_to_login: "Back to Login"
  back_to_home: "Back to Home"
  security_notice: "Security Notice"
  service_unavailable: "Service Unavailable"
  service_unavailable_title: "Password Reset Unavailable"
  service_unavailable_message: "The password reset service is currently unavailable. Please contact support for assistance."
  
dashboard:
  welcome: "Welcome back"
  my_character: "My Character"
  quick_stats: "Quick Stats"
  cash: "Cash"
  bank: "Bank Balance"
  level: "Level"
  playtime: "Playtime"
  hours: "Hours"
  health: "Health"
  hunger: "Hunger"
  thirst: "Thirst"
  recent_activity: "Recent Activity"
  no_activity: "No recent activity"
  
character:
  title: "Character Information"
  subtitle: "View your character stats"
  overview: "Character Overview"
  member_since: "Member since"
  last_online: "Last Online"
  never: "Never"
  skin: "Skin"
  bank_balance: "Bank Balance"
  general_stats: "General Stats"
  experience: "Experience"
  playing_time: "Playing Time"
  age: "Age"
  not_set: "Not set"
  gender: "Gender"
  male: "Male"
  female: "Female"
  phone: "Phone"
  none: "None"
  job_faction: "Job & Faction"
  current_job: "Current Job"
  unemployed: "Unemployed"
  faction: "Faction"
  faction_rank: "Faction Rank"
  faction_leader: "Faction Leader"
  faction_assistant: "Faction Assistant"
  vacant: "Vacant"
  no_assistant: "No assistant"
  licenses: "Licenses"
  driver_license: "Driver License"
  weapon_license: "Weapon License"
  pilot_license: "Pilot License"
  boat_license: "Boat License"
  business_license: "Business License"
  active: "Active"
  expired: "Expired"
  criminal_record: "Criminal Record"
  warnings: "Warnings"
  crimes: "Crimes"
  jail_time: "Jail Time"
  minutes: "minutes"
  wanted_level: "Wanted Level"
  stars: "stars"
  
vehicles:
  title: "My Vehicles"
  subtitle: "Manage your personal vehicles"
  total_vehicles: "Total Vehicles"
  no_vehicles: "No vehicles owned"
  no_vehicles_desc: "You don't own any vehicles yet. Purchase one in-game!"
  car_name: "Car Name"
  license_plate: "License Plate"
  model_id: "Model ID"
  health: "Health"
  fuel: "Fuel"
  price: "Price"
  locked: "Locked"
  yes: "Yes"
  no: "No"
  view_3d: "3D View"
  drag_to_rotate: "Drag to rotate the vehicle. This is an interactive 3D model of your"
  parked: "Parked"
  active: "Active"
  
properties:
  title: "My Properties"
  subtitle: "Manage your houses, businesses and garages"
  houses: "Houses"
  businesses: "Businesses"
  garages: "Garages"
  no_houses: "No houses owned"
  no_businesses: "No businesses owned"
  no_garages: "No garages owned"
  no_properties_desc: "You don't own any properties yet. Purchase them in-game!"
  house_type: "House Type"
  business_type: "Business Type"
  garage_type: "Garage Type"
  withdraw: "Withdraw"
  withdrawing: "Withdrawing..."
  withdraw_money: "How much to withdraw?"
  max: "Max"
  invalid_amount: "Invalid amount"
  withdraw_success: "Withdrawn"
  to_bank: "to your bank!"
  withdraw_failed: "Failed to withdraw"
  deposit: "Deposit Money"
  depositing: "Depositing..."
  deposit_money: "How much to deposit?"
  house_bank: "House Bank"
  deposit_success: "Deposited"
  to_house: "to house bank!"
  deposit_failed: "Failed to deposit"
  house_bank_full: "House bank is full ($20,000 max)"
  
factions:
  title: "Server Factions"
  subtitle: "All active factions on the server"
  leader: "Leader"
  assistant: "Assistant"
  total_members: "Total"
  rank: "Rank"
  faction_id: "Faction ID"
  no_factions: "No active factions found"
  
faction:
  title: "My Faction"
  not_in_faction: "You are not in a faction"
  not_member: "Not in a Faction"
  not_member_desc: "You are not currently a member of any faction. Apply in-game to join one!"
  leadership: "Faction Leadership"
  resources: "Faction Resources"
  bank: "Faction Bank"
  materials: "Materials"
  drugs: "Drugs"
  your_position: "Your Position"
  your_rank: "Your Rank"
  position_leader: "Leader"
  position_assistant: "Assistant"
  position_member: "Member"
  online_members: "Online Members"
  faction_members: "Faction Members"
  members: "Members"
  member_access: "Member Access"
  member_access_desc: "Only faction leaders and assistants can view the member list and manage the faction."
  change_rank: "Change Rank"
  changing: "Changing..."
  make_assistant: "Make Assistant"
  remove_assistant: "Remove Assistant"
  processing: "Processing..."
  kick: "Kick"
  kicking: "Kicking..."
  kick_confirm: "Are you sure you want to kick {{name}} from the faction?"
  kicked_success: "{{name}} has been kicked from the faction"
  kick_failed: "Failed to kick member"
  assistant_confirm: "Make {{name}} the faction assistant? Only one assistant is allowed."
  remove_assistant_confirm: "Remove {{name}} as assistant?"
  assistant_success: "{{name}} is now the faction assistant"
  remove_assistant_success: "{{name}} is no longer the assistant"
  assistant_failed: "Failed to change assistant status"
  rank_prompt: "Enter new rank for {{name}} (1-{{maxRank}}):"
  rank_invalid: "Rank must be between 1 and 13"
  rank_invalid_range: "Rank must be between 1 and {{maxRank}}"
  rank_success: "{{name}}'s rank has been changed"
  rank_failed: "Failed to change rank"
  
bans:
  title: "Global Ban List"
  subtitle: "All server bans"
  total_bans: "Total Bans"
  active_bans: "Active Bans"
  all_time: "All Time"
  show_all: "Show All"
  show_active: "Show Active Only"
  search_placeholder: "Search by player name..."
  no_bans: "No bans found"
  player: "Player"
  reason: "Reason"
  banned_by: "Banned By"
  admin_level: "Admin Level"
  duration: "Duration"
  remaining: "Remaining"
  date: "Date"
  status: "Status"
  active: "Active"
  expired: "Expired"
  permanent: "Permanent"
  days: "days"
  ban_records: "Ban Records"
  
settings:
  title: "Settings"
  subtitle: "Manage your account settings"
  account: "Account Settings"
  username: "Username"
  email: "Email"
  change_password: "Change Password"
  current_password: "Current Password"
  new_password: "New Password"
  confirm_password: "Confirm Password"
  updating: "Updating..."
  update_password: "Update Password"
  passwords_no_match: "Passwords do not match!"
  password_too_short: "Password must be at least 6 characters!"
  password_changed: "Password changed successfully!"
  must_be_offline: "You must be offline from the server to change your password!"
  invalid_current_password: "Invalid current password!"
  password_change_failed: "Failed to change password!"
  online_warning_title: "You are currently online!"
  online_warning_message: "You must disconnect from the game server to change your password. The server saves your data when you disconnect, so password changes are only allowed while offline."
  button_disabled_online: "Button is disabled because you are currently online on the server"
  preferences: "Preferences"
  language: "Language"
  latvian: "Latviešu"
  english: "English"
  danger_zone: "Danger Zone"
  delete_account: "Delete Account"
  delete_warning: "Once you delete your account, there is no going back. All data will be permanently deleted."
  delete_confirm: "Are you ABSOLUTELY sure? This cannot be undone!"
  delete_soon: "Account deletion would be processed here"
  
store:
  title: "Store"
  subtitle: "Purchase in-game items and benefits"
  available_items: "Available Items"
  purchase_history: "Purchase History"
  buy_now: "Buy Now"
  pay_now: "Pay Now"
  processing: "Processing..."
  unavailable: "Unavailable"
  completed: "Completed"
  pending: "Pending"
  failed: "Failed"
  refunded: "Refunded"
  date: "Date"
  item: "Item"
  amount: "Amount"
  status: "Status"
  no_items: "No items available at the moment"
  no_transactions: "No purchase history yet"
  load_error: "Failed to load store data"
  purchase_error: "Failed to create checkout session"
  payment_url_error: "Failed to retrieve payment link"
  rate_limit_error: "Too many order attempts. Please wait 1 minute before trying again."
  banned_restriction: "You can only purchase unban items while banned"
  not_banned_restriction: "You cannot purchase unban items while not banned"
  online_restriction: "You must be offline from the game server to make purchases"
  
error:
  page_not_found: "Page Not Found"
  wrong_turn: "Oops! Looks like you've taken a wrong turn in Los Santos. The page you're looking for doesn't exist or has been moved."
  back_home: "Back to Home"
  go_ucp: "Go to UCP"
  quick_links: "Quick Links"
  rules: "Rules"
  server_offline_title: "Server Offline"
  server_offline_message: "The server is currently offline or something went wrong on the backend. Please try refreshing the page or contact support if the problem persists."
  refresh_page: "Refresh Page"
  contact_support: "Contact Support"
  error_occurred: "An Error Occurred"
  
toasts:
  rate_limit: "Too many login attempts. Please wait 1 minute."
  login_success: "Login successful! Redirecting..."
  login_failed: "Login failed"
  server_offline: "Server is offline. Please make sure the backend is running on port 5000."
  server_error: "Server error occurred. The server is offline or something failed on the backend."
  ip_copied: "Server IP copied:"
  logged_out: "Logged out successfully!"

